Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class GridHeaderListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.GridHeaderListenerAdapter

All Implemented Interfaces:
  GridHeaderListener

    public class GridHeaderListenerAdapter

extends java.lang.Object
implements GridHeaderListener

Constructor Summary
`GridHeaderListenerAdapter()`

Method Summary
`void` | `onHeaderClick(GridPanel grid, int colIndex, EventObject e)` Fires when a header is clicked.
`void` | `onHeaderContextMenu(GridPanel grid, int colIndex, EventObject e)` Fires when a header is right clicked.
`void` | `onHeaderDblClick(GridPanel grid, int colIndex, EventObject e)` Fires when a header cell is double clicked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridHeaderListenerAdapter

    public GridHeaderListenerAdapter()

Method Detail

### onHeaderClick

    public void onHeaderClick(GridPanel grid,
                              int colIndex,
                              EventObject e)

  Description copied from interface: `GridHeaderListener`
  Fires when a header is clicked.

  Specified by:
    `onHeaderClick` in interface `GridHeaderListener`
  Parameters:
    `grid` - this
    `colIndex` - the column index
    `e` - the event object

### onHeaderContextMenu

    public void onHeaderContextMenu(GridPanel grid,
                                    int colIndex,
                                    EventObject e)

  Description copied from interface: `GridHeaderListener`
  Fires when a header is right clicked.

  Specified by:
    `onHeaderContextMenu` in interface `GridHeaderListener`
  Parameters:
    `grid` - this
    `colIndex` - the column index
    `e` - the event object

### onHeaderDblClick

    public void onHeaderDblClick(GridPanel grid,
                                 int colIndex,
                                 EventObject e)

  Description copied from interface: `GridHeaderListener`
  Fires when a header cell is double clicked.

  Specified by:
    `onHeaderDblClick` in interface `GridHeaderListener`
  Parameters:
    `grid` - this
    `colIndex` - the column index
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD